### CONFIGURATION START ###
ENABLE_SMALL_HEAL   = True
ENABLE_MEDIUM_HEAL  = True
ENABLE_BIG_HEAL     = True
ENABLE_FULL_HEAL    = True
###  CONFIGURATION END  ###
import es
import random

main = es.import_addon('random_effects')

def load():
    if ENABLE_SMALL_HEAL:
        main.register('smallheal', smallheal, 50)
    if ENABLE_MEDIUM_HEAL:
        main.register('mediumheal', mediumheal, 20)
    if ENABLE_BIG_HEAL:
        main.register('bigheal', bigheal, 3)
    if ENABLE_FULL_HEAL:
        main.register('fullheal', fullheal, 1)
    
def smallheal(player):
    effect = random.randint(1,5)
    player.health += effect
    player.tell('%s HP healed!' % effect)
    
def mediumheal(player):
    effect = random.randint(1,15)
    player.health += effect
    player.tell('%s HP healed!' % effect)
    
def bigheal(player):
    effect = random.randint(30,70) 
    player.health += effect
    player.tell('%s HP healed!' % effect)
    
def fullheal(player):
    player.health = 100
    player.tell('Restored to 100HP!')