### CONFIGURATION START ###
ENABLE_SMALL_CASH_TAKE  = True
ENABLE_MEDIUM_CASH_TAKE = True
ENABLE_BIG_CASH_TAKE    = True
ENABLE_FULL_CASH_TAKE   = True
###  CONFIGURATION END  ###
import es
import random

main = es.import_addon('random_effects')

def load():
    if ENABLE_SMALL_CASH_TAKE:
        main.register('smallcashtake', smallcash, 50)
    if ENABLE_MEDIUM_CASH_TAKE:
        main.register('mediumcashtake', mediumcash, 20)
    if ENABLE_BIG_CASH_TAKE:
        main.register('bigcashtake', bigcash, 3)
    if ENABLE_FULL_CASH_TAKE:
        main.register('fullcashtake', fullcash, 1)
    
def smallcash(player):
    effect = random.randrange(10, 500, 10)
    player.cash -= effect
    player.tell('Took %s$' % effect)
    
def mediumcash(player):
    effect = random.randrange(500, 2000, 50)
    player.cash -= effect
    player.tell('Took %s$' % effect)
    
def bigcash(player):
    effect = random.randrange(1000, 10000, 1000)
    player.cash -= effect
    player.tell('Took %s$' % effect)
    
def fullcash(player):
    player.cash = 0
    player.tell('Set cash to 0$')